<!DOCTYPE html>
<html>
    <head>
        <title>GapMiner Viewer</title>
        <meta charset="utf-8" />
        <link rel="stylesheet" type="text/css" href="gapminer.css">
        <script type="text/javascript" src="plotly-latest.min.js"></script>
        <script type="text/javascript" src="gapminer.js"></script>
        <script type="text/javascript" src="classifier_eval.json"></script>
        <script type="text/javascript" src="gapminer_db.json"></script>
    </head>
    <body onLoad="loadDB()">
        <div id="wrapper">
            <div id="header">
                <div id="head" style="display:inline-block">
                    <img height="200", width="200" src="gapminer.png" style="float:left;margin-right:1em"></img>
                    <div id="loader" style="float:left">
                        <h1>GapMiner Viewer</h1>
						
                        <form id="dbload" name="dbload">
                            <fieldset>
                                <h4>Load GapMiner results</h4>
                                <select id="orgsel" onchange="loadProts(this.value)">
                                    <option> --- Select an organism --- </option>
                                </select>
                                <select id="protsel">
                                    <option> --- Select a protein --- </option>
                                </select>
                                <input type='button' id='loadprot' value='Load' onclick='loadJSON(false)'>
                                <input type='button' id='openjsonload' value='Load output file' onclick='loadJSONButton()'>
                            </fieldset>
                        </form>
                        <form class="fileloader" id="jsonload" name="jsonload" enctype="multipart/form-data" method="post">
                            <fieldset>
                                <h4>Load GapMiner output file</h4>
                                <input type='file' id='jsoninput' accept=".json">
                                <input type='button' id='jsonload' value='Load' onclick='loadJSON(true);'>
                            </fieldset>
                        </form>
						<p><a href="Manual/GapMiner_manual.pdf">User Manual</a> | <a href="https://gitlab.com/bpl.ethz/GapMiner">GapMiner @ GitLab</a> | <a href="https://gitlab.com/bpl.ethz/GapMinerDB">GapMinerDB @ GitLab</a></p>
                    </div>
                </div>
                <h1 id="protname"></h1>
                <table id="classification" class="afterload">
                    <tr><th>Organism</th>  <td id="organism"></td></tr>
                    <tr><th>Gene</th>      <td id="shortname"></td></tr>
                    <tr><th></th>          <td id="genenames"></td></tr>
                    <tr><th>UniProtKB</th> <td id="uniprotid"></td></tr>
                    <tr><th><div class="tooltip"># homologs         <span class="tooltiptext">Number of homologs fulfilling similarity criteria</span></th><td id="numhits"></td></tr>
                    <tr><th><div class="tooltip">Conservation       <span class="tooltiptext">Overall sequence conservation of the protein (between 0 and 1)</span></div></th><td id="meanseqvar"></td></tr>
                    <tr><th><div class="tooltip">Classifier version <span class="tooltiptext">Training date of the tagging site classifier</span></th><td id="classcreated"></td></tr>
                    <tr><th><div class="tooltip">DB date            <span class="tooltiptext">Protein database modification date</span></th><td id="dbcreated"></td></tr>
                </table>
            </div>
            <div id="allplot" class="afterload">
                <div id="plothead">
                    <div id="cutoffparam">
                        <form id="cutoff" onsubmit="return false;">
                            <div class="cutofftext"><div class="tooltip">Taggability cutoff: <span class="tooltiptext">Minimum probability cutoff for taggability classification</span></div></div><input type="text" name="coff" value="">     <input type="button" onclick="setCutoff(true,false,false,false);return false;" value="Apply"><br/>
                            <div class="cutofftext"><div class="tooltip">Maximum # sites:    <span class="tooltiptext">Maximum number of sites to classify as taggable          </span></div></div><input type="text" name="maxsites" value=""> <input type="button" onclick="setCutoff(false,true,false,false);return false;" value="Apply"><br/>
                            <input type="button" onclick="setCutoff(false,false,false,false);return false;" value="Default parameters" title="Reset the taggability cutoff to its default value">
                            <input type="button" onclick="initPlot(protdata);return false;" value="Redraw plots" title="Redraw plots to fit screen after resizing window">
                        </form>
                    </div>
                    <div id="legendbox">
                        <table id="legend">
                            <tr><th colspan="2">Sequence</th>                                <th colspan="2">Secondary structure</th>             </tr>
                            <tr><td class="llet" style='color: black'>X</td><td>residue</td> <td class="llet">H</td><td>&alpha;-helix</td>        </tr>
                            <tr><th colspan="2">Selected</td>                                <td class="llet">E</td><td>&beta;-strand</td>        </tr>
                            <tr><td class="llet" style='color:  blue'>X</td><td>taggable</td>    <td class="llet extrass">B</td><td class="extrass">&beta;-bridge</td>        </tr>
                            <tr><td></td><td></td>   <td class="llet extrass">G</td><td class="extrass">3<sub>10</sub> helix</td> </tr>
                            <tr><td></td><td></td>     <td class="llet extrass">I</td><td class="extrass">&pi;-helix</td>           </tr>
                            <tr><td></td><td></td>                                           <td class="llet extrass">T</td><td class="extrass">turn</td>                 </tr>
                            <tr><td></td><td></td>                                           <td class="llet extrass">S</td><td class="extrass">bend</td>                 </tr>
                            <tr><td></td><td></td>                                           <td class="llet extrass">-</td><td class="extrass">unresolved</td>           </tr>
                        </table>
                    </div>
                </div>
                <div id="plotarea">
                    <div id="sitesbox">
                        <h4 style="display:inline">Sites</h4>
                        <div id="sitesarrow"><a id="arrowtext" href="#" onclick="toggleFold();return false;">More</a></div>
                        <div id="sites" class="fold"></div>
                    </div>
                    <div id="rightdata">
                        <div id="seq">
                            <pre id="fasta"></pre>
                            <pre id="secstruct"></pre>
                            <pre id="secstruct_dssp"></pre>
                            <pre id="annots"></pre>
                        </div>
                        <div id="plots"></div>
                    </div>
                </div>
            </div>
        </div>
    </body>
</html>
